MEMCACHED_DELETE(3)

NAME
memcached_delete - libmemcached Documentation

SYNOPSIS

#include <libmemcached/memcached.h>
    Compile and link with -lmemcached

memcached_return_t <#_CPPv418memcached_return_t> memcached_delete(memcached_st <#_CPPv412memcached_st> *ptr, const char *key, size_t key_length, time_t expiration)

memcached_return_t <#_CPPv418memcached_return_t> memcached_delete_by_key(memcached_st <#_CPPv412memcached_st> *ptr, const char *group_key, size_t group_key_length, const char *key, size_t key_length, time_t expiration)

Parameters

•   ptr -- pointer to initialized memcached_st <#_CPPv412memcached_st> struct

•   group_key -- key namespace

•   group_key_length -- length of the group_key without any terminating zero

•   key -- the key to delete

•   key_length -- the length og the key without any terminating zero

•   expiration -- obsolete since memcached(1) <https://linux.die.net/man/1/memcached> version 1.4

Returns
    memcached_return_t <#_CPPv418memcached_return_t> indicating success

DESCRIPTION

memcached_delete() is used to delete a particular key. memcached_delete_by_key() works the same, but it takes a master key to find the given value.

Expiration works by placing the item into a delete queue, which means that it won't be possible to retrieve it by the "get" command. The "add" and "replace" commands with this key will also fail (the "set" command will succeed, however). After the time passes, the item is finally deleted from server memory.

Please note the the memcached server removed tests for expiration in the 1.4 version.

RETURN VALUE

A value of type memcached_return_t <#_CPPv418memcached_return_t> is returned On success that value will be MEMCACHED_SUCCESS <#_CPPv4N18memcached_return_t17MEMCACHED_SUCCESSE>. Use memcached_strerror() <#_CPPv418memcached_strerrorP12memcached_st18memcached_return_t> to translate this value to a printable string.

If you are using the non-blocking mode of the library, success only means that the message was queued for delivery.

SEE ALSO

memcached(1) <https://linux.die.net/man/1/memcached> libmemcached(3) <https://linux.die.net/man/3/libmemcached> memcached_strerror(3) <https://linux.die.net/man/3/memcached_strerror>